Upstream information

CVE-2017-8871 at MITRE

Description

The cr_parser_parse_selector_core function in cr-parser.c in libcroco 0.6.12 allows remote attackers to cause a denial of service (infinite loop and CPU consumption) via a crafted CSS file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.1 2.6
Vector AV:N/AC:M/Au:N/C:N/I:N/A:C AV:N/AC:H/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium High
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Complete Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 3.7
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1043898 [IN_PROGRESS], 1043899 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-EC2-CHOST-HVM-BYOS
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
  • libcroco-0_6-3 >= 0.6.12-4.3.51
Openstack Cloud Magnum Orchestration 7
  • libcroco-0_6-3 >= 0.6.11-12.3.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2019-1468
SUSE CaaS Platform 3.0
  • libcroco-0_6-3 >= 0.6.11-12.3.1
Patchnames:
SUSE-CAASP-3.0-2019-1468
SUSE CaaS Platform ALL
  • libcroco-0_6-3 >= 0.6.11-12.3.1
Patchnames:
SUSE-CAASP-ALL-2019-1468
SUSE Linux Enterprise Desktop 12 SP3
  • libcroco-0_6-3 >= 0.6.11-12.3.1
  • libcroco-0_6-3-32bit >= 0.6.11-12.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-1468
SUSE Linux Enterprise Desktop 12 SP4
  • libcroco-0_6-3 >= 0.6.11-12.3.1
  • libcroco-0_6-3-32bit >= 0.6.11-12.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-1468
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libcroco-0_6-3 >= 0.6.11-12.3.1
  • libcroco-0_6-3-32bit >= 0.6.11-12.3.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libcroco >= 0.6.12-4.3.51
  • libcroco-0_6-3 >= 0.6.12-4.3.51
  • libcroco-0_6-3-32bit >= 0.6.12-4.3.51
  • libcroco-devel >= 0.6.12-4.3.51
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-1535
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • libcroco >= 0.6.13-1.26
  • libcroco-0_6-3 >= 0.6.13-1.26
  • libcroco-0_6-3-32bit >= 0.6.13-1.26
  • libcroco-devel >= 0.6.13-1.26
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • libcroco >= 0.6.13-1.26
  • libcroco-0_6-3 >= 0.6.13-1.26
  • libcroco-devel >= 0.6.13-1.26
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libcroco-0_6-3 >= 0.6.11-12.3.1
  • libcroco-0_6-3-32bit >= 0.6.11-12.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1468
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libcroco-0_6-3 >= 0.6.11-12.3.1
  • libcroco-0_6-3-32bit >= 0.6.11-12.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1468
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libcroco >= 0.6.11-12.3.1
  • libcroco-devel >= 0.6.11-12.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-1468
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libcroco >= 0.6.11-12.3.1
  • libcroco-devel >= 0.6.11-12.3.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-1468
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libcroco >= 0.6.11-12.3.1
  • libcroco-devel >= 0.6.11-12.3.1
openSUSE Leap 15.1
  • libcroco >= 0.6.12-lp151.4.3.1
  • libcroco-0_6-3 >= 0.6.12-lp151.4.3.1
  • libcroco-0_6-3-32bit >= 0.6.12-lp151.4.3.1
  • libcroco-devel >= 0.6.12-lp151.4.3.1
Patchnames:
openSUSE-2020-780
openSUSE Tumbleweed
  • libcroco >= 0.6.13-3.2
  • libcroco-0_6-3 >= 0.6.13-3.2
  • libcroco-0_6-3-32bit >= 0.6.13-3.2
  • libcroco-devel >= 0.6.13-3.2
Patchnames:
openSUSE Tumbleweed GA libcroco-0.6.13-3.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CAASP (2.0) libcroco Released
CAASP (3.0) libcroco Released
SLE-HPC (12) libcroco Released
SLED (12) libcroco Released
SLES (12) libcroco Released
SLES-BCL (12) libcroco Released
SLES-ESPOS (12) libcroco Released
SLES-LTSS (12) libcroco Ignore
SLES-LTSS (15) libcroco In progress
SLES-LTSS-ERICSSON (12) libcroco Released
SLES-LTSS-SAP (12) libcroco Released
SLES_BCL (15) libcroco In progress
SLES_SAP (12) libcroco Released
SLES_SAP (15) libcroco In progress
SLE_HPC-ESPOS (15) libcroco In progress
SLE_HPC-LTSS (15) libcroco In progress
SUSE-Manager-Proxy (4.0) libcroco In progress
SUSE-Manager-Retail-Branch-Server (4.0) libcroco In progress
SUSE-Manager-Server (4.0) libcroco In progress
SUSE_SLES (11) libcroco Ask maintainer
SUSE_SLES_LTSS (11) libcroco Ask maintainer
caasp (4.0) libcroco In progress
hpe-helion-openstack (8) libcroco Released
openstack-cloud-magnum-orchestration (7) libcroco Released
ses (5) libcroco Released
ses (6) libcroco In progress
sle-module-basesystem (15) libcroco Released
sle-pos (11) libcroco In progress
sle-pos (12) libcroco Released
sle-sdk (11) libcroco Ask maintainer
sle-sdk (12) libcroco Released
suse-openstack-cloud (7) libcroco Released
suse-openstack-cloud (8) libcroco Released
suse-openstack-cloud (9) libcroco Released
suse-openstack-cloud-crowbar (8) libcroco Released
suse-openstack-cloud-crowbar (9) libcroco Released